For the complete documentation index, see llms.txt. This page is also available as Markdown.

Simulate (Sandbox)

Simulate Virtual Account Action

post
/v0/customers/{customerId}/virtual-account/simulate

Simulates actions on virtual accounts for testing purposes. This endpoint is only available in non-production environments.

Path parameters
customerIdstringRequired

The unique identifier of the customer

Header parameters
Api-KeystringRequired

Your secret API key, available in the developer dashboard. Include this header on every request to authenticate your application.

Body
actionstring · enumRequired

The action to perform

Possible values:
virtual_account_idstring · uuidRequired

The unique identifier of the virtual account to issue

Responses
201

Virtual account successfully issued

application/json
idstring · uuidOptional

The unique identifier for the virtual account

statusstring · enumOptional

The current status of the virtual account

Possible values:
destination_tokenstring · enumOptional

The currency to be deposited

Possible values:
destination_networkstring · enumOptional

The blockchain network for the destination

Possible values:
destination_addressstringOptional

The blockchain address where the funds will be sent

developer_fee_percentstringOptional

Custom developer fee percentage for the Virtual Account

Example: 0.5Pattern: ^[0-9]+(\.[0-9]+)?$
deposit_instructionsone ofOptional
or
or
post/v0/customers/{customerId}/virtual-account/simulate
POST /v0/customers/{customerId}/virtual-account/simulate HTTP/1.1
Host: api.alignlabs.dev
Api-Key: text
Content-Type: application/json
Accept: */*
Content-Length: 102

{
  "action": "issue_pending_virtual_account",
  "virtual_account_id": "123e4567-e89b-12d3-a456-426614174000"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "status": "active",
  "destination_token": "usdc",
  "destination_network": "polygon",
  "destination_address": "text",
  "developer_fee_percent": "0.5",
  "deposit_instructions": {
    "payment_rails": [
      "sepa"
    ],
    "currency": "eur",
    "bank_name": "text",
    "bank_address": "text",
    "account_holder_name": "text",
    "iban": {
      "bic": "text",
      "iban_number": "text"
    }
  }
}

Last updated